version: '3'

tasks:
  run:
    desc: Lancer le backend en mode dev
    cmds:
      - go run ./cmd/app

  test:
    desc: Lancer les tests Go
    cmds:
      - go test ./...

  ent:
    desc: Generer le code Ent
    cmds:
      - go run -mod=mod entgo.io/ent/cmd/ent generate ./internal/data/ent/schema --target ./internal/data/ent

  swagger:
    desc: Regenerer la doc Swagger
    cmds:
      - bash scripts/gen_swagger.sh
